const fs = require('fs');
const path = require('path');
const webpack = require('webpack');
const expect = require('chai').expect;

const value = 'babel-loader';
const replaceReg = /\$\{ICON_FONT_STYLE\}/g;

describe('Webpack Integration Tests: babel-loader', () => {
    const configPath = path.join('../test/cases/' + value + '/webpack.config.js');
    const outputDirectory = path.join('./cases/' + value + '/dest');
    const options = require(configPath);
    for (const chunk of Object.keys(options.entry))
        options.entry[chunk] = path.join(__dirname, '/cases/', value, options.entry[chunk]);

    it('#test webpack babel case' + value, (done) => {
        webpack(options, (err, stats) => {
            if (err)
                return done(err);
            if (stats.hasErrors())
                return done(new Error(stats.toString()));
            const cssContent = fs.readFileSync(path.resolve(__dirname, outputDirectory + '/bundle.js')).toString();
            expect(replaceReg.test(cssContent)).to.be.false;
            done();
        });
    });
});
